package de.lmu.ifi.pms.cep.dura.compiler.durac.collections;

import de.lmu.ifi.pms.cep.dura.compiler.durac.token_mappings.DuraVisibilityModifier;

public class Definition<T> {
	public final String name;
	public final T definition;
	public final DuraVisibilityModifier visibility;
	
	public Definition(String name, DuraVisibilityModifier visibility, T definition) {
		this.name = name;
		this.definition = definition;
		this.visibility = visibility;
	}
	
	@Override
	public String toString() {
		return String.format("%s %s", visibility.toString().toLowerCase(), definition.toString());
	}
}
