package de.lmu.ifi.pms.cep.dura.compiler.exceptions;

import de.lmu.ifi.pms.cep.dura.compiler.antlr.utils.DuraTree;

public class DuraCModuleNotFoundException extends DuraCompilationException {
	
	private static final String msg = "Module %s is not contained in the set of source files.";
	
	public DuraCModuleNotFoundException(String moduleName) {
		super(String.format(msg, moduleName));
	}
	
	public DuraCModuleNotFoundException(String moduleName, DuraTree cause) {
		super(String.format(msg, moduleName), cause.getPositionDescription());
	}
	
}
