package de.lmu.ifi.pms.cep.dura.compiler.exceptions;

import de.lmu.ifi.pms.cep.dura.compiler.antlr.utils.DuraTree;

public class UnsupportedTokenException extends DuraCompilationException {
	
	public UnsupportedTokenException(String msg, DuraTree token) {
		super(msg, token);
	}
	
	public UnsupportedTokenException(DuraTree token) {
		super(String.format("found unsupported token: ", token.toStringTree()), token);
	}
	
}
