package de.lmu.ifi.pms.cep.event_mill.io.bus;

import org.simpleframework.xml.Root;

@Root(name="buses")
public abstract class MessageBusProviderCollection{
	
	public abstract boolean contains(String identifier);
	
	public MessageBusProvider get(final String identifier){
		return this.create(identifier).resolve();
	}
	
	public abstract MessageBusProvider create(String identifier);
	
	public MessageBusProviderCollection() {
		super();
	}
}
