package de.lmu.ifi.pms.cep.event_mill.io.bus;

import org.simpleframework.xml.Attribute;



public abstract class SimpleMessageBusProvider<MessageType> extends MessageBusProvider{
	
	public final Class<MessageType> type;

	public SimpleMessageBusProvider(final Class<MessageType> type, @Attribute(name="iri") final String identifier) {
		super(identifier);
		this.type = type;
	}
	
	@Override
	public abstract boolean accepts(final String identifier);

	@Override
	public abstract MessageBus<?> connect(final String identifier);
	
}
