package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.BasicType;
import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;

public class IdentifierNamedConstant extends BasicTypeNamedConstant {
	
	public IdentifierNamedConstant(final String name) {
		super(BasicTypeID.IDENTIFIER, name);
	}
	
	@Override
	public TypedNamedConstant<BasicType> rename(final String newName) {
		return new IdentifierNamedConstant(newName);
	}

}
