package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.NoType;

public class UntypedVariable extends Variable<NoType> {
	
	protected UntypedVariable(final String name) {
		super(name, NoType.instance);
	}

	@Override
	public UntypedVariable rename(final String newName){
		return new UntypedVariable(newName);
	}
	
	public static UntypedVariable create(final String name){
		return new UntypedVariable(name);
	}
	
}
