package de.lmu.ifi.pms.cep.tsa.conditions.adaptor;

import de.lmu.ifi.pms.cep.tsa.conditions.AtomicTerm;
import de.lmu.ifi.pms.cep.tsa.conditions.Variable;
import de.lmu.ifi.pms.java.util.adaption.Adapter;

public class PrefixVariables implements Adapter<AtomicTerm<?>, AtomicTerm<?>>{
	
	public final String prefix;
	
	public PrefixVariables(final String prefix) {
		super();
		this.prefix = prefix;
	}

	@Override
	public AtomicTerm<?> adapt(final AtomicTerm<?> source) {
		if(source instanceof Variable){
			Variable<?> attribute = (Variable<?>) source;
			return attribute.rename(this.prefix + attribute.name);
		}
		else{
			return source;
		}
	}

}
