package de.lmu.ifi.pms.cep.tsa.operators;

import de.lmu.ifi.pms.cep.tsa.exceptions.TSA_Exception;
import de.lmu.ifi.pms.cep.tsa.schema.TemporalStreamSchema;
import de.lmu.ifi.pms.java.util.collection.Collection;
import de.lmu.ifi.pms.java.util.collection.fixed.FixedCollection;

public abstract class TSA_ComplexOperator extends TSA_Operator
{
	@SuppressWarnings("hiding")
	public final TSA_ComplexOperatorID ID;

	TSA_ComplexOperator(final TSA_ComplexOperatorID id, final FixedCollection<String> origin)
	{
		super(TSA_OperatorID.COMPLEX, origin);
		this.ID = id;
	}	
	
	@Override
	public abstract int inputArity();
	
	@Override
	public abstract TemporalStreamSchema apply(final Collection<TemporalStreamSchema> inputs) throws TSA_Exception;

}
