package de.lmu.ifi.pms.cep.tsa.optimization;

import org.simpleframework.xml.Attribute;

import de.lmu.ifi.pms.cep.compilation.CompilerFactory;
import de.lmu.ifi.pms.cep.tsa.DTSA_Program;

public abstract class DTSA_OptimizerFactory extends CompilerFactory<DTSA_Program, DTSA_Program>{
	
	public DTSA_OptimizerFactory(@Attribute(name="iri", required=true) final String identifier) {
		super(DTSA_Program.class, DTSA_Program.class, identifier);
	}
	
	@Override
	public abstract DTSA_Optimizer make();

}
