package de.lmu.ifi.pms.java.lang.iteration;

import java.util.Iterator;

public class ConstantIterable<Type> extends AbstractIterable<Type> {

	private final Type value;

	private final int count;

	public ConstantIterable(final Type value, final int count) {
		super();
		this.value = value;
		this.count = count;
	}

	@Override
	public Iterator<Type> iterator() {
		return new ConstantValueIterator<Type>(this.value, this.count);
	}

}
