/**
 * 
 */
package de.lmu.ifi.pms.java.lang.iteration;

import java.util.Iterator;

import de.lmu.ifi.pms.java.util.filter.Filter;



public class FilteredIteratorImpl<Type> extends FilteredIterator<Type>{
	
	private final Filter<Type> filter;
	
	public FilteredIteratorImpl(final Iterator<? extends Type> sourceIterator, final Filter<Type> filter) {
		super(sourceIterator);
		this.filter = filter;
	}
	
	@Override
	public boolean accepts(final Type element) {
		return this.filter.accepts(element);
	}
			
}