package de.lmu.ifi.pms.java.lang.iteration;

import java.util.Iterator;

public class FinalIteratorWrapper<Type> extends AbstractFixedIterator<Type> {

	private final Iterator<? extends Type> iterator;	
	
	public FinalIteratorWrapper(final Iterator<? extends Type> iterator) {
		super();
		this.iterator = iterator;
	}

	@Override
	public boolean hasNext() {
		return this.iterator.hasNext();
	}

	@Override
	public Type next() {
		return this.iterator.next();
	}

}
