/**
 * 
 */
package de.lmu.ifi.pms.java.util.adaption;


/**
 * @author Simon Matthias Brodt
 *
 */
public class IterationAdapterImpl<SourceType, IterationType> extends IterationAdapter<SourceType, IterationType> {

	public final Adapter<SourceType, IterationType> adapter;
	
	public IterationAdapterImpl(final Iterable<? extends SourceType> source, final Adapter<SourceType, IterationType> adapter) {
		super(source);
		this.adapter = adapter;
	}

	/* (non-Javadoc)
	 * @see extension.java.lang.iteration.IterationAdapter#adapt(java.lang.Object)
	 */
	@Override
	public final IterationType adapt(final SourceType source) {
		return this.adapter.adapt(source);
	}
	
}
