package de.lmu.ifi.pms.java.util.collection.fixed.set;

import java.util.Comparator;

import de.lmu.ifi.pms.java.util.collection.set.SortedSet;



public interface FixedSortedSet<Type> extends SortedSet<Type>, FixedSet<Type> {

	@Override
	public Comparator<? super Type> comparator();

	@Override
	public Type first();

	@Override
	public FixedSortedSet<Type> headSet(Type toElement);

	@Override
	public Type last();

	@Override
	public FixedSortedSet<Type> subSet(Type fromElement, Type toElement);

	@Override
	public FixedSortedSet<Type> tailSet(Type fromElement);
	
}
