/**
 * 
 */
package de.lmu.ifi.pms.java.util.collection.set;

import de.lmu.ifi.pms.java.util.collection.javaWrapper.ToJavaSortedSetWrapper;



/**
 * @author Simon Matthias Brodt
 *
 */
public abstract class AbstractSortedSet<Type> extends AbstractSet<Type> implements SortedSet<Type>{
	
	@Override
	public AbstractJavaSortedSet<Type> javaCollection() {
		return new ToJavaSortedSetWrapper<Type>(this);
	}

	public static abstract class AbstractJavaSortedSet<Type> extends java.util.AbstractSet<Type> implements java.util.SortedSet<Type>{
		
	}
	
	public static abstract class AbstractJavaNavigableSet<Type> extends AbstractJavaSortedSet<Type> implements java.util.NavigableSet<Type>{
		
	}
	
}
