package de.lmu.ifi.pms.java.util.stream;

import de.lmu.ifi.pms.java.util.filter.Filter;

public class StreamSpliterImpl<Type> extends StreamSpliter<Type> {
	
	private final Filter<Type> filter;

	public StreamSpliterImpl(final SourceStream<Type> stream, final Filter<Type> filter) {
		super(stream);
		this.filter = filter;
	}

	@Override
	public boolean accepts(final Type element) {
		return this.filter.accepts(element);
	}

}
