package de.lmu.ifi.pms.java.util.tupel;

public class Single<Type, Type0 extends Type> extends Tupel<Type> {

	private Type0 comp0;
	
	public Single(final Type0 comp0) {
		super();
		this.comp0 = comp0;
	}
	
	public final Type0 comp0(){
		return this.comp0;
	}
	
	public final void setComp0(final Type0 value){
		this.comp0 = value;
	}
	
	@Override
	public int componentCount() {
		return 1;
	}
	
	@Override
	public Type getComp(final int i) {
		if(i == 0){
			return this.comp0;
		}
		else{
			return super.getComp(i);
		}
	}
	
	@Override
	public Single<Type, Type0> clone() {
		return new Single<Type, Type0>(this.comp0());
	}
	
}
