package de.lmu.ifi.pms.java.util.tupel;

public class Tupel5<Type, Type0 extends Type, Type1 extends Type, Type2 extends Type, Type3 extends Type, Type4 extends Type> extends Quadrupel<Type, Type0, Type1, Type2, Type3> {

	private Type4 comp4;
	
	public Tupel5(final Type0 comp0, final Type1 comp1, final Type2 comp2, final Type3 comp3, final Type4 comp4) {
		super(comp0, comp1, comp2, comp3);
		this.comp4 = comp4;
	}
	
	public final Type4 comp4(){
		return this.comp4;
	}
	
	public final void setComp4(final Type4 value){
		this.comp4 = value;
	}
	
	@Override
	public int componentCount() {
		return 4;
	}
	
	@Override
	public Type getComp(final int i) {
		if(i == 4){
			return this.comp4;
		}
		else{
			return super.getComp(i);
		}
	}
	
	@Override
	public Tupel5<Type, Type0, Type1, Type2, Type3, Type4> clone() {
		return new Tupel5<Type, Type0, Type1, Type2, Type3, Type4>(this.comp0(), this.comp1(), this.comp2(), this.comp3(), this.comp4());
	}

}
