package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;

public class DurationAttribute extends BasicTypeAttribute {

	protected DurationAttribute(final String name) {
		super(name, BasicTypeID.DURATION);
	}
	
	@Override
	public DurationAttribute rename(final String newName) {
		return new DurationAttribute(newName);
	}
	
	public static DurationAttribute create(final String name){
		return (DurationAttribute) BasicTypeAttribute.create(name, BasicTypeID.DURATION);
	}
	
}
