package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;

public class IdentifierAttribute extends BasicTypeAttribute {

	protected IdentifierAttribute(final String name) {
		super(name, BasicTypeID.IDENTIFIER);
	}
	
	@Override
	public IdentifierAttribute rename(final String newName) {
		return new IdentifierAttribute(newName);
	}
	
	public static IdentifierAttribute create(final String name){
		return (IdentifierAttribute) BasicTypeAttribute.create(name, BasicTypeID.IDENTIFIER);
	}
	
}
