package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.BasicType;
import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;

public class ReferenceNamedConstant extends BasicTypeNamedConstant {
	
	public ReferenceNamedConstant(final String name) {
		super(BasicTypeID.REFERENCE, name);
	}
	
	@Override
	public TypedNamedConstant<BasicType> rename(final String newName) {
		return new ReferenceNamedConstant(newName);
	}

}
