/**
 * 
 */
package de.lmu.ifi.pms.java.util.collection.extendible;

import de.lmu.ifi.pms.java.lang.iteration.ExtendibleIterator;
import de.lmu.ifi.pms.java.util.collection.Collection;

/**
 * @author Simon Matthias Brodt
 *
 */
public interface ExtendibleCollection<Type> extends Collection<Type>{

	public boolean add(Type value);
	
	public boolean addAll(final java.util.Collection<? extends Type> c);

	public boolean addAll(Collection<? extends Type> c);

	public void clear();

	public boolean remove(Object e);
	
	public boolean removeAll(java.util.Collection<?> c);

	public boolean removeAll(Collection<?> c);
	
	public boolean retainAll(java.util.Collection<?> c);

	public boolean retainAll(Collection<?> c);
	
	@Override
	public ExtendibleIterator<Type> iterator();
	
}
