/**
 * 
 */
package de.lmu.ifi.pms.java.util.collection.extendible.list;

public class SingleLinkedEntry<Type> extends AbstractSingleLinkedEntry<Type, SingleLinkedEntry<Type>>{
	
	protected Type value;

	public SingleLinkedEntry(AbstractSingleLinkedList<Type, SingleLinkedEntry<Type>> linkingList) {
		super(linkingList);
		this.value = null;
	}
	

	public SingleLinkedEntry(Type value) {
		super();
		this.value = value;
	}

	@Override
	public Type value(){
		return this.value;
	}
	
	@Override
	public void setValue(Type newValue){
		this.value = newValue;
	}
	
}