package de.lmu.ifi.pms.java.util.collection.fixed.set;

import de.lmu.ifi.pms.java.lang.iteration.FixedIterator;
import de.lmu.ifi.pms.java.util.collection.set.NavigableSet;

public interface FixedNavigableSet<Type> extends NavigableSet<Type>, FixedSortedSet<Type> {

	@Override
	public FixedIterator<Type> descendingIterator();

	@Override
	public FixedNavigableSet<Type> descendingSet();

	@Override
	public FixedNavigableSet<Type> headSet(Type toElement, boolean inclusive);

	@Override
	public FixedNavigableSet<Type> subSet(Type fromElement, boolean fromInclusive, Type toElement, boolean toInclusive);

	@Override
	public FixedNavigableSet<Type> tailSet(Type fromElement, boolean inclusive);
	
}
