package de.lmu.ifi.pms.java.util.comparator;

public class AlphabethicComparableIterableComparator<Type extends Comparable<? super Type>> extends AbstractAlphabethicIterableComparator<Type> {

	@SuppressWarnings("rawtypes")
	private static final AlphabethicComparableIterableComparator comparator = new AlphabethicComparableIterableComparator();
	
	@SuppressWarnings("unchecked")
	public static final <Type extends Comparable<? super Type>> int staticCompare(final Iterable<? extends Type> iterable1, final Iterable<? extends Type> iterable2){
		return comparator.compare(iterable1, iterable2);
	}
	
	public AlphabethicComparableIterableComparator() {
		
	}

	@Override
	public int compareElements(final Type t1, final Type t2) {
		return t1.compareTo(t2);
	}

}
